=== examples/Makefile ===
--- 
+++ 
@@ -38,7 +38,23 @@
 	$(call CxxBuildExecutable,$@,$^ $(ARCHIVES))
 
 clean:
-	$(RM) $(EXE_FILES) *.$(OBJEXT)
+	$(RM) $(EXE_FILES) *.$(OBJEXT) channel
+
+
+## ----------------------------------------------------------------------------
+## This rule builds the 'channel' example, which shows how to use libomniEvents.
+##
+## It can only be built once libomniEvents has been installed (`make install').
+## See the installation instructions in the documentation (or README) for
+## how to install libomniEvents.
+##
+## Once libomniEvents is installed, type `make channel' in this directory
+## to build this example program.
+##
+channel$(EXEEXT): channel.$(OBJEXT)
+	$(call CxxBuildExecutable,$@,$^ -lomniEvents)
+##
+## ----------------------------------------------------------------------------
 
 include deps.mk
