=== src/Makefile ===
--- 
+++ 
@@ -37,6 +37,7 @@
  Servant.cc \
  SupplierAdmin.cc \
  omniEventsLog.cc \
+ version.cc \
 
 DAEMON_SOURCE_FILES := \
  $(LIBRARY_SOURCE_FILES) \
