=== debian/changelog ===
omnievents (1:2.6.2-6.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:20:59 +0000

omnievents (1:2.6.2-6.1build1) noble; urgency=high

  * No change rebuild against libomniorb4-3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:46:55 +0100

omnievents (1:2.6.2-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062822

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 02:19:12 +0000

omnievents (1:2.6.2-6) unstable; urgency=medium

  * QA upload.

  [ Guilherme de Paula Xavier Segundo ]
  * Bumped debhelper compat to 10. (Closes: #965754)
  * debian/clean: created to remove some files forgotten by build system.
  * debian/control:
      - Added 'libjs-jquery' to 'Depends' field in omnievents-doc binary.
       (Closes: #989339)
      - Added 'lsb-base' to 'Depends' field in omnievents binary.
      - Ran wrap-and-sort.
  * debian/salsa-ci.yml: created to provide CI tests for Salsa.
  * debian/source/lintian-overrides: created to override lintian errors in the
    upstream code.
  * debian/source/options: added to allow the 'config.mk' and 'src/config.h'
    changes in upstream place.

  [ Debian Janitor ]
  * debian/upstream/metadata: set upstream metadata fields: Bug-Submit.

  [ Ondřej Nový ]
  * debian/changelog: removed trailing whitespaces.
  * debian/control: set Vcs-* to salsa.debian.org.

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Thu, 17 Nov 2022 08:01:16 -0300

omnievents (1:2.6.2-5.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 09 Jan 2021 11:59:32 +0100

omnievents (1:2.6.2-5) unstable; urgency=low

  * Removed -dbg package.

 -- W. Martin Borgert <debacle@debian.org>  Sat, 23 Jul 2016 20:11:08 +0000

omnievents (1:2.6.2-4) unstable; urgency=low

  * Moved stuff into git, because the SVN archive was broken.

 -- W. Martin Borgert <debacle@debian.org>  Sat, 23 Jul 2016 07:45:51 +0000

omnievents (1:2.6.2-3) unstable; urgency=low

  * QA upload,removed Thomas and myself from Uploaders, see #828919
  * Cleaned up existing Debian patches, which somehow (Closes: #824734)
  * Bump Standards-Version: to 3.9.8.
  * Added dep/build-dep on jquery.js for -doc

 -- W. Martin Borgert <debacle@debian.org>  Fri, 22 Jul 2016 20:46:34 +0000

omnievents (1:2.6.2-2) unstable; urgency=low

  [ Floris Bruynooghe ]
  * Build-depend on new omniorb packages.

  [ Thomas Girard ]
  * Add watch file.
  * Fix typo in omnievents package description. Thanks to Pascal De Vuyst
    for the report. Closes: #557829.
  * Acknowledge NMU patch for #541249. Thanks to Petter Reinholdtsen for the
    patch. Closes: #547545.
  * Acknowledge NMU patch for #504864. Thanks, David Paleino!
  * Bump Standards-Version: to 3.8.3.
  * Switch debhelper level to 7.
  * Add ${misc:Depends} where appropriate.
  * Bump Standards-Version: to 3.9.2.
  * Integrate patch from Ubuntu, thanks Stefan Wehner. Addresses: LP#705020.
  * Drop obsolete Conflicts:/Replaces:

 -- Thomas Girard <thomas.g.girard@free.fr>  Mon, 02 May 2011 23:37:51 +0200

omnievents (1:2.6.2-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.4, added missing #includes, thanks to Martin
    Michlmayr (Closes: #504864)

 -- David Paleino <dapal@debian.org>  Mon, 21 Dec 2009 17:05:30 +0100

omnievents (1:2.6.2-1.1) unstable; urgency=low

  * Non-maintainer upload to fix release goal.
  * Correct init.d script header runlevel list and dependencies.  Add code
    in postinst to recover systems affected by the bug (Closes: #541249).
  * Correct section for libomnievents-dbg to 'debug', based on tip from
    lintian.
  * Add code to clean target of debian/rules to remove generated
    config.log and config.status, based on tip from lintian.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 20 Sep 2009 17:00:14 +0200

omnievents (1:2.6.2-1) unstable; urgency=low

  * Package taken over by the CORBA team.
  * Add myself to the Uploaders: field, and move W. Martin Borgert here.
  * New upstream release; bump the epoch.
  * Rename libomnieventsc2a to libomnievents2, and handle the transition.
  * New package, omnievents-doc, containing manual and doxygen documentation.
  * Bump debhelper level to 5, and adapt dh_strip invocation accordingly.
  * Bump Standards-Version: to 3.7.3.
  * Fix a typo in debian/rules binary-post-install rule.
  * Fix typos on package names in Conflicts: and Replaces: fields.
  * Replace ${Source-Version} with ${binary:Version}.
  * Remove ${shlibs:Depends} and ${misc:Depends} from libomnievents-dev
    dependencies. Add libomnieventsc2a dependency.
  * Build-depend on omniorb4 >= 4.1.1.
  * Rework descriptions.
  * Add autotools-dev build-dependency to have cdbs copy new config.* files.
  * Remove useless libomniEvents.so.2.6 symlink.
  * Change libomnievents-dbg Priority: to extra.
  * Fix FTBFS with g++-4.3. Thanks to Martin Michlmayr for reporting this and
    providing a patch. Closes: #417459.
  * Remove bashism from debian/rules. Closes: #459168. Thanks to Lucas
    Nussbaum for reporting this, and to W. Martin Borgert for providing a fix.
  * Generate doxygen documentation in a different directory and invoke clean:
    target rather than disclean: to fix FTBFS when built twice.
    Closes: #424376. Thanks to Lucas Nussbaum for reporting this.

 -- Thomas Girard <thomas.g.girard@free.fr>  Sun, 13 Jan 2008 12:39:25 +0000

omnievents (2.6.2.pre2-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * C++ allocation transition (closes: #339236)

 -- Bastian Blank <waldi@debian.org>  Sat, 31 Dec 2005 12:22:42 +0100

omnievents (2.6.2.pre2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * C++ ABI transition (closes: #332896).


