=== debian/control ===
Source: omnievents
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), autotools-dev,
               cdbs,
               debhelper (>= 10~),
               docbook-xsl,
               doxygen,
               graphviz,
               libcos4-dev (>= 4.1.1),
               libjs-jquery,
               libomniorb4-dev (>= 4.1.1),
               omniidl,
               omniorb-idl,
               pkg-config,
               xsltproc
Standards-Version: 3.9.8
Homepage: http://www.omnievents.org
Vcs-Browser: https://salsa.debian.org/debian/omnievents
Vcs-Git: https://salsa.debian.org/debian/omnievents.git

Package: omnievents
Architecture: any
Depends: libjs-jquery,
         lsb-base,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: omnievents-doc
Description: omniORB event service
 omniEvents enables CORBA applications to communicate through
 asynchronous broadcast channels rather than direct method calls. It
 is a small, efficient implementation of the Object Management Group's
 Event Service specification designed to work with omniORB.
 .
 This package contains the CORBA Event Service daemon as a standalone
 executable, and the associated tools.

Package: libomnievents2t64
Provides: ${t64:Provides}
Replaces: libomnievents2
Breaks: libomnievents2 (<< ${source:Version})
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: omniORB event service shared library
 This package contains omniEvents shared library.
 .
 For more information on omniEvents see the omnievents package.

Package: libomnievents-dev
Architecture: any
Section: libdevel
Depends: libomnievents2t64 (= ${binary:Version}),
         ${misc:Depends}
Recommends: pkg-config
Suggests: omnievents-doc
Description: omniORB event service development files
 This package contains header files, static library and idl source files
 for omniEvents.
 .
 For more information on omniEvents see the omnievents package.

Package: omnievents-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery
Description: omniORB event service documentation
 This package contains omniEvents manual and doxygen generated documentation.
 .
 For more information on omniEvents see the omnievents package.
